/*variables*/
:root{
    --pistaYellow: #ffc739;
}

html{
    text-align: center;
}
body{
    margin: 0px;
    padding: 0px;
    max-width: 1920px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    color: #474646;
}

div.container{
    display:block;
}

/* margin */
.m-20{
    margin: 20px;
}

/* textos */
.textSpacing{
    letter-spacing: 5px;
}
a.negrita {
    color: black;
    text-decoration: none;
}
.negrita{
    font-weight: 800;
}
.negritaMedia{
    font-weight: 600;
}
.tituloNegrita{
    font-weight: 800;
    font-size: 2.8em;
    line-height: 45px;
}
.fw-700{
    font-weight: 700!important;
}
.amarilloNegrita{
    color: var(--pistaYellow);
    font-weight: bold;
    margin-bottom: 3px;
}
a.amarilloNegrita{
    text-decoration: none;
}

.cursiva{
    font-style: italic;
}
.mediumText{
    font-size: 1.2em;
}

b.yellow {
    color: var(--pistaYellow);
}

.mediumText.cutted{
    max-width: 35%;
    margin:20px auto;
}

.tituloNegrita.cutted {
    font-size: 3em;
    max-width: 35%;
    margin:0 auto;
}

.queespistacierto {
    background-color: #474646;
}

.queespistacierto p.mediumText {
    color: white;
}

.largeText{
    font-size: 2em;
}
.smallText{
    font-size: 0.9em;
}
.smallerText{
    font-size: 0.7em;
    font-weight:100;
}
.boxShadow{
    box-shadow: 0 1px 9px -2px rgb(0 0 0 / 40%);
}

.btn{
    font-weight: 500;
    border-radius:3px;
}

/*media query for screens over 1920px width*/
@media (min-width: 1920px) {
    body{
        margin: 0 auto;
        width: 1920px;
    }
    #navbar{
        width: 1920px!important;
    }
    #throwTowel .back{
        width: 1920px!important;
    }
}

header {
    height: 100px;
}

#navbar{
    /* a navbar with height 200px, it has .logo, .buttons*/
    height: 100px;
    margin: 0;
    background-color: white;
    z-index: 10;

    /*sticky*/
    position: fixed;
    width: 100%;

    /*flexbox*/
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;


}
#navbar > *{
    margin: 0 20px;
}

#navbar .buttons .btn[href="#registrate"] {
    margin-left:20px;
}

.logo img{
    width: 150px;
}
/* los iconos dentro de los anchor */
button i{
    margin: 0px 10px 0 0;
}

/*común en sections */
section{
    /*min-height: 50vh;*/
    display: flex;
}

/* registrate!!! */
#registrate{
    position: relative;
    background-image: url("assets/images/fondo.png"), url("assets/images/Rectángulo\ 1@2x.png");
    background-size: cover;
    background-position-y: 15%;
    background-position-x: 97%;

    text-align: center;

    align-items: center;
    justify-content: space-evenly;

    padding-bottom: 0px;
}
#registrate .persona1 {
    /*position:relative;*/
    width: 30%;
    /*overflow: hidden;*/
    height: 100%;
    text-align: left;

}
.persona1 img{
    position: absolute;
    /*width: 80%; !*con 130 y limitando su padre, cortamos el sobrante de la imagen con overflow*!*/
    /*min-width: 450px;*/
    height: 100%;
    left: 0px;
    bottom: 0px;
    pointer-events: none;
}
/*#registrate .fondo{*/
/*    width: 100%;*/
/*    height: 100%;*/
/*}*/
#registrate .texto{
    width: 20%;
    text-align: left;

}
#registrate form{
    padding: 35px;
    background: white;
    border-radius: 5px;
    width: 25%;
    margin: 80px 0;
}
#registrate form p{
    margin: 0px 0 30px 0;
}
#registrate form label{
    /*margin-top: 10px;*/
    display: block;
    text-align: left;
    margin-bottom: 5px;
}
#registrate form input:not([type="checkbox"]){
    margin-bottom: 15px;
    border-radius: 4px;
    background-color: #eeeeee;
}
#registrate form button[type="submit"]{
    padding: 10px 20px;
    color: white;
}

/*busca compara y compra*/
#busca{
    justify-content: space-between;
    padding: 300px 55px 0 55px;
}
.queOfrecemos {
    background-color: rgba(184, 184, 184, 0.11);
}
#busca .queOfrecemos{
    text-align: left;
}
.queOfrecemos ul{
    width:50%;
    margin:0 auto;
    display: flex;
    flex-direction: row;
    flex-flow: row wrap;
    justify-content: center;
    list-style: none;
    padding:0 0 250px 0!important;
}
video {
    position: absolute;
    transform: translate(-50%, -247px);
}
.queOfrecemos ul>li{
    height: 180px;
    width: 33%;
}
.queOfrecemos .ico{
    display: inline-block;
    max-width: 55px;
}
/*.queOfrecemos .texto{*/
/*    display: inline-block;*/
/*}*/
.mayoristas .images{

    /* para alinear al medio */
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
}
.mayoristas img{
    max-height: 83px;
    padding: 10px;
}
.mayoristas p, .queOfrecemos p{
    margin-top:20px;
    margin-bottom: 40px;
}


/* don't you throw your metaphorical towel */
#throwTowel{
    position: relative;
    padding-top: 190px;
    justify-content: space-between;
    /*align-items: center;*/
    overflow: hidden;
}
#throwTowel .background{
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: -1;
    background-image: url("assets/images/fondo.png"), url("assets/images/Rectángulo\ 1@2xFlipped.png");
    background-size: 175%;
    /*background-position-x: -100px;*/
    background-position-y: -108%;
}
#throwTowel .text{
    width: 50%;
    text-align: left;
    padding: 40px 30px;
}
#throwTowel .text > p{
    padding-left: 30px;
    margin-bottom: 30px;
}
#throwTowel .text .tituloNegrita{
    /*line-height: 60px;*/
    font-size: 3.3em;
}
#throwTowel .text{
    padding: 60px 85px;
    max-width: 800px;
}

.persona2 {
    position:relative;
    width: 30%;
}
.persona2 img{
    position: absolute;
    right: 0px;
    bottom: 0px;
    height: 135%;
    pointer-events: none;
}

#productos{
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly;
    padding-bottom: 150px;
}
#productos .producto{
    width: 20%;
    padding: 0 15px;
    text-align: center;
}
#productos .producto img{
    position:relative;
    width: 100%;
    /*height: 275px;*/
    /*padding: 25px;*/
    aspect-ratio: 3/2;
    object-fit: contain;
}
#productos .producto .btn{
    color: white;
    padding: 10px 35px;
}





/* alguna duda? */
#anyDoubt{
    background-image: url("assets/images/fondo.png");
    background-color: #e7e0d0d4;
    background-size:     cover;
    background-repeat:   no-repeat;
    background-blend-mode: color-burn;

    margin-top: 100px;
    padding: 75px 0;

    display: flex;
    justify-content: space-around;
    flex-direction: row-reverse;
}
#anyDoubt .duda{
    width:60%;
    text-align:left;
}
#anyDoubt .duda label{
    margin-bottom: 5px;
}

#anyDoubt .tituloNegrita{
    font-weight: 700;
}

.persona3{
    position:relative;
    width: 28%;
    pointer-events: none;

}
.persona3 img{
    position: absolute;
    right: 0px;
    bottom: -75px;
    height: 175%;
    pointer-events: none;
}
#anyDoubt .duda form{
    display: flex;
}
.duda .mediumText{
    width: 70%;
}
.duda .left {
    width: 40%;
}
.duda .left, .duda .right{
    margin: 10px;
}
.duda textarea{
    width: 100%;
    height: 200px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-bottom: 10px;
}
.duda input{
    margin-bottom: 20px;
    border-radius: 4px;
}
.duda *[type="submit"]{
    padding: 10px 35px;
    color: white;
}
.submitGroup{
    display:flex;
    justify-content: space-between;

}


/*light gray footer with 4 columns*/
footer{
    padding: 50px;
    display:flex;
    background-color: #474646;
    color: white;
    font-size: 1.2em;
    align-items: flex-start;
    padding-right:80px;
}
footer .columna{
    width: 25%;
    padding: 0 10px;
    text-align: left;
}
footer .columna p{
    margin-bottom: 5px;
}
footer .columna a{
    display: block;
    width: fit-content;
    color: white;
    text-decoration: none;
}
footer img{
    max-height: 50px;
}

footer .amarilloNegrita{
    font-weight: 600;
}

.container-fluid {
    padding:0!important;
}

.columna.right {
    text-align: right;
}

#breakHere .titulo{
    padding: 80px 0 40px 0;
}



/*media queries*/

@media screen and (max-width: 1000px) and (min-width: 425px) {
    #throwTowel {
        height: 700px;
    }
}




/*@media screen and (max-width: 1500px) and (min-width: 1331px){*/
@media screen and (max-width: 1500px) {
    #busca {
        padding-top: 190px;
    }
    #registrate{
        justify-content: flex-end;
    }
    #registrate .texto, #registrate form{
        font-size: 0.9em;
        width: 30%;
        padding: 25px;
        margin: 30px;
    }
    #registrate .texto {
        margin-right: 0;
    }
    #registrate form{
        margin-left: 0;
    }
    #registrate .persona1 img {
        height: 85%;
    }
    #throwTowel .text{
        padding: 60px 30px;
    }
    #throwTowel .persona2 img{
        right: -25%;
    }
}

@media screen and (max-width: 1330px){
    #registrate .texto {
        font-size: 0.8em;
    }
    #registrate .persona1 {
        width: 25%;
    }
    .persona2 img {
        height: 125%;
        /*right: -50%;*/
    }
    #throwTowel .persona2 img{
        right: -55%;
    }
}


@media screen and (max-width: 1175px){
    #registrate .persona1 img {
        left: -75px;
        /*height: 90%;*/
    }
    #throwTowel{
        padding-top: 85px;
    }
    #throwTowel .text {
        padding: 40px 16px;
    }
    #throwTowel .persona2 img{
        right: -75%;
        height: 115%;
    }
    #throwTowel .background{
        background-position-y: 50%;
    }
    #busca .mayoristas .images img {
        /* margin: auto; */
        max-height: 50px;
        padding: 12px !important;
    }
    #anyDoubt{
        justify-content: center;
    }
    #anyDoubt .duda{
        width: 60%;
    }
}

/*throw towel */
@media screen and (max-width: 1000px) {

    #throwTowel  {
        flex-wrap: wrap;
        padding-bottom: 250px;
        height: auto;
    }
    #throwTowel .text {
        /*font-size: 0.8em;*/
        /*padding: 100px 50px;*/
        padding: 55px 0px 120px 15px;
        width: 85%;
    }
    #throwTowel .mediumText.last{
        /*font-size: 1em;*/
        padding-right: 38%;
    }

    #throwTowel .background{
        background-position-x: 33%;
        background-size: 350%;
    }
    #throwTowel .persona2{
        width: 15%;
        bottom: -250px;
    }
    #throwTowel .persona2 img{
        height: 85%;
        max-height: 600px;
    }
}

/* other */
@media screen and (max-width: 1000px) {
    #registrate {
        padding: 10px;
        height: 600px;
        background-position-x: 50%;
    }
    #registrate .persona1 img {
        height: 130%;
        bottom: -90px;
    }
    #registrate .texto {
        width: 100%;
        padding: 30px;
    }
    #registrate .texto .tituloNegrita{
        line-height: 30px;
    }
    #registrate form {
        width: 80%;
        position: absolute;
        top: 380px
    }
    #breakHere {
        margin-top: 420px;
    }
    #breakHere .titulo{
        padding: 0;
    }
    #busca {
        flex-direction: column;
        align-items: center;
    }
    #busca .queOfrecemos{
        margin-top: 0px;
    }
    #busca .mayoristas {
        margin-top: 100px;
    }
    #busca .queOfrecemos, #busca .mayoristas {
        width: 100%;
        text-align: center;
    }


    #busca .mayoristas .images {
        justify-content: space-evenly;
    }

    #busca .queOfrecemos ul {
        display: flex;
        margin-bottom: 2rem;
        /*flex-direction: column;*/
        flex-direction: row;
        align-content: space-around;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }



    input[name=aceptoCondiciones] {
        margin-bottom: 0px;
    }

    footer {
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding-right: 50px;
    }
    footer .columna {
        width: 100%;
        padding: 25px 10px;
        text-align: center;
    }
    footer .columna.right {
        text-align: center;
    }
    footer .columna a {
        text-align: center;
        display: contents;
    }


    #anyDoubt {
        flex-direction: column;
        align-items: center;
        padding: 50px;
        padding-bottom: 0;

    }
    #anyDoubt .duda {
        width: 80%;
    }
    #anyDoubt form {
        flex-direction: column;
    }
    .duda .mediumText{
        width: 100%;
    }

    #anyDoubt{
        overflow: hidden;
    }

    .duda .tituloNegrita, .duda .mediumText{
        text-align: center;
    }



    .submitGroup{
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: column;
    }
    .submitGroup > * {
        margin-top:25px;
    }


    #productos {
        flex-wrap: wrap;
        padding-bottom: 0px;
    }
    #productos .producto {
        padding: 10px;
        flex-basis: 50%;
        margin-bottom: 30px;
    }

    #productos .producto img{
        width:50%;
    }

    .persona3{
        width: 100%;
        /*height: 700px;*/
    }
    .persona3 img{
        /*height: auto;*/
        position: relative;
        width: 70%;
        bottom: 300px;
        margin-bottom: -300px;
    }


}

@media screen and (max-width: 820px) {
    input[type=checkbox]{
        width: 20px;
        height: 20px;
    }
    #registrate {
        top: -100px;
    }
    #registrate .texto {
        font-size: 0.6em;
        margin: 0;
        padding-right: 5px;
    }
    #registrate .persona1 {
        width: 60%;
    }
    #registrate .persona1 img {
        left: -85px;
        height: 130%;
    }

    #breakHere .titulo{
        padding: 0 50px;
    }

    .persona2 img {
        height: 30%;
    }
}

@media screen and (max-width: 600px){

    #navbar .logo{
        margin-left: 15px;
    }
    #navbar .buttons{
        margin-left: 0;
    }


    #registrate form {
        top: 460px;
    }

    #busca {
        padding: 30px;
    }
    /*#busca .mayoristas .images img{*/
    /*    max-width: 50%;*/
    /*    margin: auto;*/
    /*}*/


    #throwTowel  {
        padding-bottom: 150px;
    }
    #throwTowel .text {
        line-height: inherit;
    }
    #throwTowel .text .tituloNegrita{
        line-height: inherit;
        font-size: 2.3em;
    }
    #throwTowel .mediumText{
        font-size: 1em;
    }
    #throwTowel .background{
    }
    #throwTowel .persona2{
        bottom: -150px;
    }
    #throwTowel .persona2 img{
        height: 66%;
        max-height: 420px;
    }


    .titulo > .tituloNegrita{
        font-size: 2em;
    }
    .titulo > .largeText{
        font-size: 1.5em;
    }
    .titulo > .mediumText{
        font-size: 16px;
    }
    #productos .producto {
        padding: 0px;
        flex-basis: 100%;
        margin-bottom: 30px;
    }
    #productos .producto img {
        width: 35%;
    }

    #anyDoubt{
        padding: 50px 0 0 0;
    }
    #anyDoubt .duda .tituloNegrita{
        font-size: 2em;
    }

}

@media screen and (max-width: 550px) {

    #navbar {
        align-items: center;
        padding: 10px 0;
        height: 75px;
    }
    #navbar > *{
        margin: 0px;
        font-size: 85%;
    }

    .buttons .btn {
        padding: 6px;
        font-size: .8em;
    }
    #navbar .buttons .btn[href="#registrate"] {
        margin: 0 10px;
    }

    .logo{
        width: 30%;
        padding: 10px;
    }
    .logo img {
        width: 90%;
    }


    #throwTowel {
        height: 900px;
    }
}

@media screen and (min-width: 0px) and (max-width: 424px) {

    .cutted {
        max-width: 80%!important;
    }
    #registrate {
        top: -120px;
    }
    #registrate .largeText {
        font-size: 1.3em;
    }
    #registrate .persona1 img {
        left: -110px;
        height: 130%;
    }
    #breakHere .titulo .tituloNegrita{
        font-size: 1.5em;
    }
    #throwTowel .text .tituloNegrita{
        line-height: inherit;
        font-size: 2em;
    }

    #busca .queOfrecemos ul div {
        font-size: 0.9em;
    }

}

/* persona3 */
@media screen and (max-width: 760px) and (min-width: 660px){
    .persona3 img{
        bottom: 250px;
        margin-bottom: -250px;
    }
}
@media screen and (max-width: 660px){
    .persona3 img{
        bottom: 220px;
        margin-bottom: -220px;
    }
}
@media screen and (max-width: 450px) {
    .persona3 img{
        bottom: 130px;
        margin-bottom: -130px;
    }
}

#form1 {
    min-height: 650px;
    display: flex;
    align-items: center;
    vertical-align: middle;
    justify-content: center;
}